#!/bin/sh

if [[ -z "$S3_PATH" || -z "$ES_URL" ]] ; then
  echo 'ERROR: one or more variables are undefined. aborting extraction.'
  exit 1
else
  elasticdump \
  --input=$ES_URL \
  --output=$S3_PATH \
  --type=data \
  --limit=1000
fi
